Loading...
Searching...
No Matches
TabulatedComponent.hpp File Reference

A generic class which tabulates all thermodynamic properties of a given component. More...

`#include <opm/material/common/MathToolbox.hpp>`
`#include <cmath>`
`#include <cstddef>`
`#include <limits>`
`#include <cassert>`
`#include <stdexcept>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | Opm::TabulatedComponentData< Scalar >
class | Opm::TabulatedComponent< ScalarT, RawComponent, useVaporPressure >
| A generic class which tabulates all thermodynamic properties of a given component. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar, class RawComponent, bool useVaporPressure>
TabulatedComponentData< Scalar > | Opm::TabulatedComponent< Scalar, RawComponent, useVaporPressure >::data_

## Detailed Description

A generic class which tabulates all thermodynamic properties of a given component.

At the moment, this class can only handle the sub-critical fluids since it tabulates along the vapor pressure curve.

Template Parameters

  Scalar | The type used for scalar values
  RawComponent | The component which ought to be tabulated
  useVaporPressure | If true, tabulate all quantities along the vapor pressure curve, if false use the pressure range [p_min, p_max]